/*******************************************************************************
 *  Copyright 2017-2018 Centre for Development of Advanced Computing(C-DAC), Pune
 *  
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *  
 *   http://www.apache.org/licenses/LICENSE-2.0
 *  
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *******************************************************************************/
package cdac.medinfo.sdk.dcm30_04.templates.enums.cv;

/**
 * This enum represents Code Value for NMProceduralStateValues
 */
public enum EnumCV_NMProceduralStateValues 
{
	//CID 3101 NM Procedural State Values
	RESTING_STATE_F_01604("F-01604"),
	CARDIAC_STRESS_STATE_109091("109091"),
	REINJECTION_STATE_109092("109092"),
	REDISTRIBUTION_STATE_109093("109093"),
	DELAYED_REDISTRIBUTION_STATE_109094("109094");

	private String value;

	EnumCV_NMProceduralStateValues(String strValue)
	{
		value = strValue;
	}

	/**
	 * This function returns the String value of this enum.
	 * @return returns string value of Code Value.
	 */
	public String getValue()
	{
		return value;
	}
}
